Package org.jbpm.ruleflow.core

## Class RuleFlowProcess

- java.lang.Object
- - org.jbpm.process.core.impl.ProcessImpl
  - - org.jbpm.workflow.core.impl.WorkflowProcessImpl
    - - org.jbpm.ruleflow.core.RuleFlowProcess

- All Implemented Interfaces:
    `Serializable`, `ContextContainer`, `ContextResolver`, `Process`, `NodeContainer`, `WorkflowProcess`, `org.kie.api.definition.KieDefinition`, `org.kie.api.definition.process.NodeContainer`, `org.kie.api.definition.process.Process`, `org.kie.api.definition.process.WorkflowProcess`

      public class RuleFlowProcess
      extends WorkflowProcessImpl

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.api.definition.KieDefinition

      `org.kie.api.definition.KieDefinition.KnowledgeType`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `RULEFLOW_TYPE` |

    - ### Fields inherited from interface org.jbpm.workflow.core.WorkflowProcess

      `CASE_TYPE, PROCESS_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RuleFlowProcess()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.kie.api.definition.process.NodeContainer` | `createNodeContainer()` |
    `List<org.kie.api.definition.process.Node>` | `getAutoStartNodes()` |
    `CompensationScope` | `getCompensationScope()` |
    `List<org.kie.api.definition.process.Node>` | `getEndNodes()` |
    `static List<org.kie.api.definition.process.Node>` | `getEndNodes​(org.kie.api.definition.process.Node[] nodes)` |
    `ExceptionScope` | `getExceptionScope()` |
    `StartNode` | `getStart​(String trigger)` |
    `List<org.kie.api.definition.process.Node>` | `getStartNodes()` |
    `static List<org.kie.api.definition.process.Node>` | `getStartNodes​(org.kie.api.definition.process.Node[] nodes)` |
    `SwimlaneContext` | `getSwimlaneContext()` |
    `List<StartNode>` | `getTimerStart()` |
    `VariableScope` | `getVariableScope()` |

    - ### Methods inherited from class org.jbpm.workflow.core.impl.WorkflowProcessImpl

      `addNode, getContainerNode, getCorrelationManager, getNode, getNodeByUniqueId, getNodes, getNodesRecursively, getParentNode, getProcessType, internalGetNode, isAutoComplete, isDynamic, processNodeContainer, removeNode, setAutoComplete, setDynamic`

    - ### Methods inherited from class org.jbpm.process.core.impl.ProcessImpl

      `addContext, equals, getContext, getContexts, getDefaultContext, getFunctionImports, getGlobalNames, getGlobals, getId, getImports, getKnowledgeType, getMetaData, getMetaData, getName, getNamespace, getPackageName, getResource, getRuntimeMetaData, getType, getVersion, hashCode, resolveContext, setDefaultContext, setFunctionImports, setGlobals, setId, setImports, setMetaData, setName, setPackageName, setResource, setRuntimeMetaData, setType, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.process.core.ContextContainer

      `addContext, getContext, getContexts, getDefaultContext, setDefaultContext`

    - ### Methods inherited from interface org.kie.api.definition.KieDefinition

      `getKnowledgeType, getNamespace`

    - ### Methods inherited from interface org.jbpm.workflow.core.NodeContainer

      `resolveContext`

    - ### Methods inherited from interface org.jbpm.process.core.Process

      `setId, setMetaData, setName, setPackageName, setType, setVersion`

    - ### Methods inherited from interface org.kie.api.definition.process.Process

      `getId, getMetaData, getName, getPackageName, getResource, getType, getVersion, setResource`

    - ### Methods inherited from interface org.jbpm.workflow.core.WorkflowProcess

      `getFunctionImports, getGlobalNames, getGlobals, getImports, setFunctionImports, setGlobals, setImports`

- - ### Field Detail

    - #### RULEFLOW_TYPE

          public static final String RULEFLOW_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RuleFlowProcess

          public RuleFlowProcess()

  - ### Method Detail

    - #### getVariableScope

          public VariableScope getVariableScope()

    - #### getSwimlaneContext

          public SwimlaneContext getSwimlaneContext()

    - #### getExceptionScope

          public ExceptionScope getExceptionScope()

    - #### getCompensationScope

          public CompensationScope getCompensationScope()

    - #### createNodeContainer

          protected org.kie.api.definition.process.NodeContainer createNodeContainer()

      Overrides:
        `createNodeContainer` in class `WorkflowProcessImpl`

    - #### getStartNodes

          public List<org.kie.api.definition.process.Node> getStartNodes()

    - #### getStartNodes

          public static List<org.kie.api.definition.process.Node> getStartNodes​(org.kie.api.definition.process.Node[] nodes)

    - #### getEndNodes

          public List<org.kie.api.definition.process.Node> getEndNodes()

    - #### getEndNodes

          public static List<org.kie.api.definition.process.Node> getEndNodes​(org.kie.api.definition.process.Node[] nodes)

    - #### getStart

          public StartNode getStart​(String trigger)

    - #### getTimerStart

          public List<StartNode> getTimerStart()

    - #### getAutoStartNodes

          public List<org.kie.api.definition.process.Node> getAutoStartNodes()